PrefabFiles = {

	"rubi",
}

Assets = {

    Asset( "IMAGE", "images/saveslot_portraits/rubi.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/rubi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rubi.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rubi.xml" ),


    Asset( "IMAGE", "bigportraits/rubi.tex" ),
    Asset( "ATLAS", "bigportraits/rubi.xml" ),

	Asset( "IMAGE", "images/map_icons/rubi.tex" ),
	Asset( "ATLAS", "images/map_icons/rubi.xml" ),


	Asset( "IMAGE", "images/avatars/avatar_rubi.tex" ),

    Asset( "ATLAS", "images/avatars/avatar_rubi.xml" ),
	

	Asset( "IMAGE", "images/avatars/avatar_ghost_rubi.tex" ),

    Asset( "ATLAS", "images/avatars/avatar_ghost_rubi.xml" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS


STRINGS.CHARACTER_TITLES.rubi = "The Grand Magus"
STRINGS.CHARACTER_NAMES.rubi = "Rubick"
STRINGS.CHARACTER_DESCRIPTIONS.rubi = "*Stole spells from Librarian.\n*Master of Magicks\n*Hits hard with spells, not weapons."
STRINGS.CHARACTER_QUOTES.rubi = "\"My thirst for knowledge cannot be quenched.\""



STRINGS.CHARACTERS.RUBI = require "speech_rubi"


STRINGS.NAMES.RUBI = "Rubick"


STRINGS.CHARACTERS.GENERIC.DESCRIBE.RUBI = 
{
	GENERIC = "Behold! The Grand Magus! Rubick!",
	ATTACKER = "Rubick shall destroy all!",
	MURDERER = "Rubick brings the end of all things!",
	REVIVER = "Rubick purges even death!",
	GHOST = "Rubick should have picked up Aegis.",
}



table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "rubi")

AddMinimapAtlas("images/map_icons/rubi.xml")
AddModCharacter("rubi")